Phone system & SMS

Calls and metrics

Phone system calls: row direction, status (done answered · missed · noanswer outbound, no answer · ringing · answered · lost result unknown), number, e164, started_at, answered_at, ended_at, duration (talk, s), wait, queue, dahili, user, customer, contact, visit_id (logged call), call_recording_id, task_id (call-back / linking task), callback_at (when a missed call was returned), provider. stats: total, in, in_ok, out, out_ok, missed, cb (returned), cb_med (median callback, s), talk, talk_avg. Sales users see their own calls, calls routed to them and calls of their companies.

GET/api/v1/tel/calls

Authorization

Authorizationheaderrequired
Bearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope: crm.read

Query parameters

rangestringoptionaldefault: 7
Period.
Valuestoday730month
filterstringoptionaldefault: all
nocb = missed calls not yet returned.
Valuesallinoutmissednocb
scopestringoptional
me or (admins) all / a user id.
customer_idintegeroptional
Only this company.
pageintegeroptionaldefault: 1
Page.
per_pageintegeroptionaldefault: 50
Per page (10–100).
Request
curl https://ornek.solk.app/api/v1/tel/calls \
  -H "Authorization: Bearer $SOLK_API_KEY"
Response